
/*
 * Web Polygraph                        http://www.web-polygraph.org/
 * ------------------------------------------------------------------
 *
 *  Web Polygraph is copyrighted (C) 1998-2000 by The Regents of the
 *  University of California. See the COPYRIGHT file for details.
 */

#ifndef PG_SYNC_CLIENT_CLASS_H
#define PG_SYNC_CLIENT_CLASS_H

#include "client/Client.h"

class SyncClt: public Client {
	public:
		virtual void noteXactDone(CltXact *x);
		virtual void wakeUp(const Alarm &a);
		virtual void scheduleLaunch(Time lastLaunch);
		virtual void launchFailed(CltXact *x);
};

#endif
