
/*
 * Web Polygraph                        http://www.web-polygraph.org/
 * ------------------------------------------------------------------
 *
 *  Web Polygraph is copyrighted (C) 1998-2000 by The Regents of the
 *  University of California. See the COPYRIGHT file for details.
 */

#ifndef PG_LOG_ENTRY_CATEGORY_FILTER_H
#define PG_LOG_ENTRY_CATEGORY_FILTER_H

#include "xstd/Array.h"

class LogEntryPx;

class LogCatFilter {
	public:
		LogCatFilter(int aCat = -1);

		void logCat(int aCat);

		// true for lgcAll and for the prime cat
		bool passed(const LogEntryPx &px);

	protected:
		void addCat(int cat);

	protected:
		Array<bool> theActiveCats; // active categories
		int theCat;                // "prime" category
		
};

#endif
