
/*
 * Web Polygraph                        http://www.web-polygraph.org/
 * ------------------------------------------------------------------
 *
 *  Web Polygraph is copyrighted (C) 1998-2000 by The Regents of the
 *  University of California. See the COPYRIGHT file for details.
 */

#ifndef PGL_RECORD_H
#define PGL_RECORD_H

#include "xparser/SynSymTbl.h"

// holds "record"-like or "struct"-like info
// records can be nested
class PglRec: public SynSymTbl {
	public:
		PglRec();
		virtual ~PglRec();

		virtual SynSymTblItem **valp(const String &key);
		PglRec *clone() const;

		// builds a SynSymTblItem and adds it
		SynSymTblItem *bAdd(const String &type, const String &name, SynSym *s);
};

#endif
