
/*
 * Web Polygraph                        http://www.web-polygraph.org/
 * ------------------------------------------------------------------
 *
 *  Web Polygraph is copyrighted (C) 1998-2000 by The Regents of the
 *  University of California. See the COPYRIGHT file for details.
 */

#ifndef PG_RLIMITS_CONFIGURATION_SYMBOL_H
#define PG_RLIMITS_CONFIGURATION_SYMBOL_H

#include "pgl/PglRecSym.h"

// console configuration
class RLimitsSym: public RecSym {
	public:
		RLimitsSym();
		RLimitsSym(const String &aType, PglRec *aRec);

		virtual bool isA(const String &type) const;

	protected:
		virtual SynSym *dupe(const String &dType) const;
};

#endif
